Carts & CheckoutOrders
Upload order payment receipt
Uploads the payment receipt with the status token and returns the payment.
Path Parameters
statusToken*string
Header Parameters
x-Store-Domain*string
Slug of the store or one of its configured domains, such as my-store.
Length
1 <= length <= 253Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://storefront.ecomiq.pe/v1/orders/status/replace_with_the_issued_token/payment-receipt" \ -H "x-Store-Domain: my-store" \ -F paymentMethodCode="POL-001" \ -F file="polo-de-algodon.webp"{ "actionUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "isCaptured": false, "transactionId": "7204558912004323150", "externalId": "7204558912004323067", "actionKind": "none", "providerId": "7204558912004329705", "publicConfiguration": { "key": "Mi tienda" }, "clientSecret": "replace_with_a_random_secret"}